/* replace unicode */

.id[repl] .hidden {
  font-size: 0;
}

.id[repl]:before {
  content: attr(repl);
}

/* folding proofs */

@keyframes show-proof {
  0% {
    max-height: 1.2em;
    opacity: 1;
  }
  99% {
    max-height: 1000em;
  }
  100%{
  }
}

@keyframes hide-proof {
  from {
    visibility: visible;
    max-height: 10em;
    opacity: 1;
  }
  to {
    max-height: 1.2em;
  }
}

.proof {
  cursor: pointer;
}
.proof * {
  cursor: pointer;
}

.proof {
  overflow: hidden;
  position: relative;
  display: inline-block;
}

.proof[show="false"] {
  max-height: 1.2em;
  visibility: hidden;
  opacity: 0;
}

.proof[show="false"][animate] {
  animation-name: hide-proof;
  animation-duration: 0.25s;
}

.proof[show=true] {
  animation-name: show-proof;
  animation-duration: 10s;
}

.proof[show="false"]:before {
  position: absolute;
  visibility: visible;
  width: 100%;
  height: 100%;
  display: block;
  opacity: 0;
  content: "M";
}
.proof[show="false"]:hover:before {
  content: "";
}

.proof[show="false"] + br + br {
  display: none;
}

.proof[show="false"]:hover {
  visibility: visible;
  opacity: 0.5;
}

#toggle-proofs[proof-status="no-proofs"] {
  display: none;
}

#toggle-proofs[proof-status="some-hidden"]:before {
  content: "Show Proofs";
}

#toggle-proofs[proof-status="all-shown"]:before {
  content: "Hide Proofs";
}


/* page layout */

html, body {
  height: 100%;
  margin:0;
  padding:0;
}

#content {
  flex: 1;
  overflow: auto;
  display: flex;
  flex-direction: column;
}
#content:focus {
  outline: none; /* prevent glow in OS X */
}

#main {
  display: block;
  padding: 16px;
  padding-top: 2em;
  padding-bottom: 2em;
  padding-left: min(255px, 16vw);
  padding-right: min(255px, 16vw);
  margin-left: auto;
  margin-right: auto;
  max-width: 60em;
  flex: 1 0 auto;
  z-index: 0;
}

.libtitle {
  display: none;
}

/* header */
#header {
  width:100%;
  padding: 0;
  margin: 0;
  align-items: center;
  background-color: rgb(23,61,89);
  color: white;
  font-weight: bold;
  overflow: hidden;
  position: fixed;
  display: flex;
  z-index: 3;
}

.button {
  cursor: pointer;
}

#header * {
  text-decoration: none;
  vertical-align: middle;
  margin-left: 15px;
  margin-right: 15px;
}

#header > .right, #header > .left {
  display: flex;
  flex: 1;
  align-items: center;
}
#header > .left {
  text-align: left;
}
#header > .right {
  flex-direction: row-reverse;
}

#header a, #header .button {
  color: white;
  box-sizing: border-box;
}

#header a {
  border-radius: 0;
  padding: 0.2em;
}

#header .button {
  background-color: rgb(63, 103, 156);
  border-radius: 1em;
  padding-left: 0.5em;
  padding-right: 0.5em;
  margin: 0.2em;
}

#header a:hover, #header .button:hover {
  background-color: rgb(86, 157, 199);
  color: black;
}

#header h1 {
  padding: 0;
  margin: 0;
}

/* footer */
#footer {
  text-align: center;
  opacity: 0.5;
  font-size: 75%;
}

/* hyperlinks */

@keyframes highlight {
  50%{
    background-color: black;
  }
}

:target * {
  animation-name: highlight;
  animation-duration: 1s;
}

a[name]:empty {
  float: right;
}

/* Proviola */

div.code {
  width: auto;
  float: none;
}

div.goal {
  position: fixed;
  left: 75%;
  width: 25%;
  top: 3em;
}

div.doc {
  clear: both;
}

span.command:hover {
  background-color: inherit;
}

.doc {
  font-family: 'IBM Plex Serif', 'PT Serif', 'Merriweather', 'DejaVu Serif', serif;
  line-height: 1.5;
  font-size: 16px;
}

h,h1,h2,h3 {
  padding-bottom: 10px;
}

.id[type="var"] {
  color: #1b0177;
}

.id[type="keyword"] {
  color: #c5000;
}

.paragraph {
  margin: 6px 0px;
}

#toggle-toc {
  padding: 0.2em;
}

#toggle-toc:hover {
  background-color: rgb(86, 157, 199);
  color: black;
}
